Skip to main content
GET
/
v1
/
combos
/
rfqs
Get RFQs
curl --request GET \
  --url https://api.prod.polymarketexchange.com/v1/combos/rfqs
import requests

url = "https://api.prod.polymarketexchange.com/v1/combos/rfqs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prod.polymarketexchange.com/v1/combos/rfqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rfqs": [
    {
      "id": "<string>",
      "qtyDecimal": "<string>",
      "cashOrderQty": "<string>",
      "instrument": {
        "id": "<string>",
        "description": "<string>",
        "eventId": "<string>",
        "eventDisplayName": "<string>",
        "question": "<string>",
        "legs": [
          {
            "instrumentId": "<string>"
          }
        ],
        "expirationTime": "2023-11-07T05:31:56Z",
        "tickSize": 123
      },
      "rfqCreatorUserId": "<string>",
      "clientRequestId": "<string>",
      "expirationTime": "2023-11-07T05:31:56Z",
      "createdTime": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>",
  "eof": true
}

Query Parameters

pageSize
integer<int32>

Number of RFQs to return. Max 100.

Required range: x <= 100
pageToken
string
rfqId
string
rfqCreatorUserId
string
symbol
string

Filter by combo symbol.

clientRequestId
string
status
enum<string>

Filter by RFQ status.

Available options:
QUOTE_STATUS_PENDING,
QUOTE_STATUS_ACCEPTED,
QUOTE_STATUS_DELETED,
QUOTE_STATUS_EXPIRED,
QUOTE_STATUS_PASSED,
QUOTE_STATUS_DONE_AWAY,
QUOTE_STATUS_PENDING_RISK,
QUOTE_STATUS_REJECTED,
QUOTE_STATUS_PENDING_END_TRADE

Response

200 - application/json

A successful response.

rfqs
object[]
nextPageToken
string
eof
boolean